## org.codehaus.groovy.grails.web.converters.configuration
Class ChainedConverterConfiguration.ChainedObjectMarshaller<C extends Converter>

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration.ChainedObjectMarshaller<C>

All Implemented Interfaces:
  ObjectMarshaller<C>

Enclosing class:
  ChainedConverterConfiguration<C extends Converter>

    public class ChainedConverterConfiguration.ChainedObjectMarshaller<C extends Converter>

extends Object
implements ObjectMarshaller<C>

Constructor Summary
`ChainedConverterConfiguration.ChainedObjectMarshaller(ObjectMarshaller<C> om, ChainedConverterConfiguration.ChainedObjectMarshaller<C> next)`

Method Summary
`ObjectMarshaller<C>` `findMarhallerFor(Object o)`
`void` `marshalObject(Object object, C converter)` Performs the conversion
`boolean` `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedConverterConfiguration.ChainedObjectMarshaller

    public ChainedConverterConfiguration.ChainedObjectMarshaller(ObjectMarshaller<C> om,
                                                                 ChainedConverterConfiguration.ChainedObjectMarshaller<C> next)

Method Detail

### findMarhallerFor

    public ObjectMarshaller<C> findMarhallerFor(Object o)

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<C extends Converter>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object object,
                              C converter)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<C extends Converter>`
  Parameters:
    `object` - the object which is about getting converted
    `converter` - the Converter to use
  Throws:
    `ConverterException` - on failure

Copyright (c) 2005-2009 The Grails project